<template>
   <b-container class="p-0">
    <SvgSymbolList v-if="isSvgSymbolType" v-model="symbol.svgIconUrl"/>
    <FormTextInput v-bind:label="'Taille des symboles'"
    @inputChange="inputChange()"
    v-model="symbol.size" :placeholder="symbol.baseStyle.size"/>
    <FormTextInput v-bind:label="'Couleur de remplissage'" :colorPicker="true"
    @inputChange="inputChange()"
    v-model="symbol.symbolFillColor" :placeholder="symbol.baseStyle.symbolFillColor"/>
    <FormTextInput v-bind:label="'Couleur du contour'" :colorPicker="true"
    @inputChange="inputChange()"
    v-model="symbol.symbolStrokeColor" :placeholder="symbol.baseStyle.symbolStrokeColor"/>
    <FormTextInput v-bind:label="'Largeur du contour'"
    @inputChange="inputChange()"
    v-model="symbol.symbolStrokeWidth" :placeholder="symbol.baseStyle.symbolStrokeWidth"/>
   </b-container>
</template>

<script lang="ts">
/* eslint-disable class-methods-use-this */
/* eslint-disable @typescript-eslint/explicit-module-boundary-types */
import Vue from 'vue';
import FormTextInput from '@/components/shared/FormTextInput.vue';
import SvgSymbolList from '@/components/layers/style/SvgSymbolList.vue';
import SymbolStyle from '@/models/map-context/style/SymbolStyle';
import Component from 'vue-class-component';

@Component({
  props: {
    symbol: SymbolStyle,
    type: String,
  },
  components: {
    FormTextInput,
    SvgSymbolList,
  },
})
export default class SymbolStyleDefinition extends Vue {
  type!:string;

  get isSvgSymbolType():boolean {
    return this.type === 'svg';
  }

  inputChange() {
    this.$emit('symboChange', '');
  }
}
</script>

<style scoped lang="less">

</style>
